import { defineConfig } from 'astro/config'
import vue from '@astrojs/vue'
import astroI18next from "astro-i18next"
import bun from "@nurodev/astro-bun"

// https://astro.build/config
export default defineConfig({
  // Project Structure
  cacheDir: './.zerro/generated/astro/cache/',
  outDir: './.zerro/generated/astro/dist/',
  publicDir: './source/src/public',
  root: './source',
  srcDir: './source/src',
  // Integrations and Plugins
  integrations: [vue(), astroI18next()],
  // Security
  security: {
    checkOrigin: true
  },
  // Server Options
  server: {
    port: 1550,
    host: true
  },
  // Use Server-Side Rendering
  output: 'server',
  adapter: bun(),
  // Vite
  vite: {
    server: {
      hmr: true // Auto Reload
    }
  },
  // Experimental
  experimental: {},
  // Others
  devToolbar: {
    enabled: false
  }
})